Index: trunk/sources/HeuristicLab.Hive.Client.Communication/Service References/ServerService/HeuristicLab.Hive.Contracts1.xsd
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Communication/Service References/ServerService/HeuristicLab.Hive.Contracts1.xsd	(revision 1449)
+++ trunk/sources/HeuristicLab.Hive.Client.Communication/Service References/ServerService/HeuristicLab.Hive.Contracts1.xsd	(revision 1450)
@@ -3,4 +3,5 @@
   <xs:import namespace="http://schemas.microsoft.com/2003/10/Serialization/" />
   <xs:import namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Contracts.BusinessObjects" />
+  <xs:import namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.PluginInfrastructure" />
   <xs:complexType name="Response">
     <xs:sequence>
@@ -71,5 +72,5 @@
       <xs:extension base="tns:Response">
         <xs:sequence>
-          <xs:element minOccurs="0" name="Plugins" nillable="true" type="xs:base64Binary" />
+          <xs:element xmlns:q2="http://schemas.datacontract.org/2004/07/HeuristicLab.PluginInfrastructure" minOccurs="0" name="Plugins" nillable="true" type="q2:ArrayOfCachedPlugin" />
         </xs:sequence>
       </xs:extension>
Index: trunk/sources/HeuristicLab.Hive.Client.Communication/Service References/ServerService/HeuristicLab.PluginInfrastructure.xsd
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Communication/Service References/ServerService/HeuristicLab.PluginInfrastructure.xsd	(revision 1450)
+++ trunk/sources/HeuristicLab.Hive.Client.Communication/Service References/ServerService/HeuristicLab.PluginInfrastructure.xsd	(revision 1450)
@@ -0,0 +1,39 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<xs:schema xmlns:tns="http://schemas.datacontract.org/2004/07/HeuristicLab.PluginInfrastructure" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/HeuristicLab.PluginInfrastructure" xmlns:xs="http://www.w3.org/2001/XMLSchema">
+  <xs:import namespace="http://schemas.microsoft.com/2003/10/Serialization/Arrays" />
+  <xs:import namespace="http://schemas.datacontract.org/2004/07/System" />
+  <xs:complexType name="ArrayOfPluginInfo">
+    <xs:sequence>
+      <xs:element minOccurs="0" maxOccurs="unbounded" name="PluginInfo" nillable="true" type="tns:PluginInfo" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="ArrayOfPluginInfo" nillable="true" type="tns:ArrayOfPluginInfo" />
+  <xs:complexType name="PluginInfo">
+    <xs:sequence>
+      <xs:element xmlns:q1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" name="assemblies" nillable="true" type="q1:ArrayOfstring" />
+      <xs:element name="buildDate" type="xs:dateTime" />
+      <xs:element name="dependencies" nillable="true" type="tns:ArrayOfPluginInfo" />
+      <xs:element xmlns:q2="http://schemas.microsoft.com/2003/10/Serialization/Arrays" name="files" nillable="true" type="q2:ArrayOfstring" />
+      <xs:element name="message" nillable="true" type="xs:string" />
+      <xs:element name="name" nillable="true" type="xs:string" />
+      <xs:element xmlns:q3="http://schemas.datacontract.org/2004/07/System" name="version" nillable="true" type="q3:Version" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="PluginInfo" nillable="true" type="tns:PluginInfo" />
+  <xs:complexType name="ArrayOfCachedPlugin">
+    <xs:sequence>
+      <xs:element minOccurs="0" maxOccurs="unbounded" name="CachedPlugin" nillable="true" type="tns:CachedPlugin" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="ArrayOfCachedPlugin" nillable="true" type="tns:ArrayOfCachedPlugin" />
+  <xs:complexType name="CachedPlugin">
+    <xs:complexContent mixed="false">
+      <xs:extension base="tns:PluginInfo">
+        <xs:sequence>
+          <xs:element xmlns:q4="http://schemas.microsoft.com/2003/10/Serialization/Arrays" minOccurs="0" name="PluginFiles" nillable="true" type="q4:ArrayOfbase64Binary" />
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+  <xs:element name="CachedPlugin" nillable="true" type="tns:CachedPlugin" />
+</xs:schema>
Index: trunk/sources/HeuristicLab.Hive.Client.Communication/Service References/ServerService/Reference.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Communication/Service References/ServerService/Reference.cs	(revision 1449)
+++ trunk/sources/HeuristicLab.Hive.Client.Communication/Service References/ServerService/Reference.cs	(revision 1450)
@@ -85,8 +85,8 @@
         
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IClientCommunicator/SendPlugins", ReplyAction="http://tempuri.org/IClientCommunicator/SendPluginsResponse")]
-        HeuristicLab.Hive.Contracts.ResponsePlugin SendPlugins(string[] pluginList);
+        HeuristicLab.Hive.Contracts.ResponsePlugin SendPlugins(HeuristicLab.PluginInfrastructure.PluginInfo[] pluginList);
         
         [System.ServiceModel.OperationContractAttribute(AsyncPattern=true, Action="http://tempuri.org/IClientCommunicator/SendPlugins", ReplyAction="http://tempuri.org/IClientCommunicator/SendPluginsResponse")]
-        System.IAsyncResult BeginSendPlugins(string[] pluginList, System.AsyncCallback callback, object asyncState);
+        System.IAsyncResult BeginSendPlugins(HeuristicLab.PluginInfrastructure.PluginInfo[] pluginList, System.AsyncCallback callback, object asyncState);
         
         HeuristicLab.Hive.Contracts.ResponsePlugin EndSendPlugins(System.IAsyncResult result);
@@ -702,10 +702,10 @@
         }
         
-        public HeuristicLab.Hive.Contracts.ResponsePlugin SendPlugins(string[] pluginList) {
+        public HeuristicLab.Hive.Contracts.ResponsePlugin SendPlugins(HeuristicLab.PluginInfrastructure.PluginInfo[] pluginList) {
             return base.Channel.SendPlugins(pluginList);
         }
         
         [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-        public System.IAsyncResult BeginSendPlugins(string[] pluginList, System.AsyncCallback callback, object asyncState) {
+        public System.IAsyncResult BeginSendPlugins(HeuristicLab.PluginInfrastructure.PluginInfo[] pluginList, System.AsyncCallback callback, object asyncState) {
             return base.Channel.BeginSendPlugins(pluginList, callback, asyncState);
         }
@@ -717,5 +717,5 @@
         
         private System.IAsyncResult OnBeginSendPlugins(object[] inValues, System.AsyncCallback callback, object asyncState) {
-            string[] pluginList = ((string[])(inValues[0]));
+            HeuristicLab.PluginInfrastructure.PluginInfo[] pluginList = ((HeuristicLab.PluginInfrastructure.PluginInfo[])(inValues[0]));
             return this.BeginSendPlugins(pluginList, callback, asyncState);
         }
@@ -734,9 +734,9 @@
         }
         
-        public void SendPluginsAsync(string[] pluginList) {
+        public void SendPluginsAsync(HeuristicLab.PluginInfrastructure.PluginInfo[] pluginList) {
             this.SendPluginsAsync(pluginList, null);
         }
         
-        public void SendPluginsAsync(string[] pluginList, object userState) {
+        public void SendPluginsAsync(HeuristicLab.PluginInfrastructure.PluginInfo[] pluginList, object userState) {
             if ((this.onBeginSendPluginsDelegate == null)) {
                 this.onBeginSendPluginsDelegate = new BeginOperationDelegate(this.OnBeginSendPlugins);
Index: trunk/sources/HeuristicLab.Hive.Client.Communication/Service References/ServerService/Reference.svcmap
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Communication/Service References/ServerService/Reference.svcmap	(revision 1449)
+++ trunk/sources/HeuristicLab.Hive.Client.Communication/Service References/ServerService/Reference.svcmap	(revision 1450)
@@ -29,4 +29,5 @@
     <MetadataFile FileName="Arrays1.xsd" MetadataType="Schema" ID="53f47e2f-ca2b-4f21-9457-037e222fefaf" SourceId="1" SourceUrl="net.tcp://10.20.53.7:9000/HiveServer/mex" />
     <MetadataFile FileName="System1.xsd" MetadataType="Schema" ID="6a87c5f1-b08b-4dea-b2b3-bd10a1f13d52" SourceId="1" SourceUrl="net.tcp://10.20.53.7:9000/HiveServer/mex" />
+    <MetadataFile FileName="HeuristicLab.PluginInfrastructure.xsd" MetadataType="Schema" ID="2dafc69c-27f2-456d-80d7-303362ac8b68" SourceId="1" SourceUrl="net.tcp://10.20.53.3:9000/HiveServer/mex" />
   </Metadata>
   <Extensions>
Index: trunk/sources/HeuristicLab.Hive.Client.Communication/Service References/ServerService/System1.xsd
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Communication/Service References/ServerService/System1.xsd	(revision 1449)
+++ trunk/sources/HeuristicLab.Hive.Client.Communication/Service References/ServerService/System1.xsd	(revision 1450)
@@ -9,3 +9,12 @@
   </xs:complexType>
   <xs:element name="Exception" nillable="true" type="tns:Exception" />
+  <xs:complexType name="Version">
+    <xs:sequence>
+      <xs:element name="_Build" type="xs:int" />
+      <xs:element name="_Major" type="xs:int" />
+      <xs:element name="_Minor" type="xs:int" />
+      <xs:element name="_Revision" type="xs:int" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="Version" nillable="true" type="tns:Version" />
 </xs:schema>
Index: trunk/sources/HeuristicLab.Hive.Client.Communication/Service References/ServerService/service1.wsdl
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Communication/Service References/ServerService/service1.wsdl	(revision 1449)
+++ trunk/sources/HeuristicLab.Hive.Client.Communication/Service References/ServerService/service1.wsdl	(revision 1450)
@@ -26,4 +26,5 @@
       <xsd:import namespace="http://schemas.microsoft.com/2003/10/Serialization/Arrays" />
       <xsd:import namespace="http://schemas.datacontract.org/2004/07/System" />
+      <xsd:import namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.PluginInfrastructure" />
     </xsd:schema>
   </wsdl:types>
Index: trunk/sources/HeuristicLab.Hive.Client.Communication/Service References/ServerService/service2.xsd
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Communication/Service References/ServerService/service2.xsd	(revision 1449)
+++ trunk/sources/HeuristicLab.Hive.Client.Communication/Service References/ServerService/service2.xsd	(revision 1450)
@@ -5,5 +5,5 @@
   <xs:import namespace="http://schemas.microsoft.com/2003/10/Serialization/" />
   <xs:import namespace="http://schemas.datacontract.org/2004/07/System" />
-  <xs:import namespace="http://schemas.microsoft.com/2003/10/Serialization/Arrays" />
+  <xs:import namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.PluginInfrastructure" />
   <xs:element name="Login">
     <xs:complexType>
@@ -115,5 +115,5 @@
     <xs:complexType>
       <xs:sequence>
-        <xs:element xmlns:q19="http://schemas.microsoft.com/2003/10/Serialization/Arrays" minOccurs="0" name="pluginList" nillable="true" type="q19:ArrayOfstring" />
+        <xs:element xmlns:q16="http://schemas.datacontract.org/2004/07/HeuristicLab.PluginInfrastructure" minOccurs="0" name="pluginList" nillable="true" type="q16:ArrayOfPluginInfo" />
       </xs:sequence>
     </xs:complexType>