Index: /trunk/sources/HeuristicLab.Visualization/LineChart.cs
===================================================================
--- /trunk/sources/HeuristicLab.Visualization/LineChart.cs	(revision 1458)
+++ /trunk/sources/HeuristicLab.Visualization/LineChart.cs	(revision 1459)
@@ -252,6 +252,5 @@
     private void optionsToolStripMenuItem_Click(object sender, EventArgs e) {
       OptionsDialog optionsdlg = new OptionsDialog(model);
-      optionsdlg.ShowDialog(this);
-      Invalidate();
+      optionsdlg.Show();
     }
 
Index: /trunk/sources/HeuristicLab.Visualization/Options/OptionsDialog.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Visualization/Options/OptionsDialog.Designer.cs	(revision 1458)
+++ /trunk/sources/HeuristicLab.Visualization/Options/OptionsDialog.Designer.cs	(revision 1459)
@@ -48,5 +48,8 @@
       this.btnChangeXAxisFont = new System.Windows.Forms.Button();
       this.tpYAxes = new System.Windows.Forms.TabPage();
-      this.dataRowsFlowLayout = new System.Windows.Forms.FlowLayoutPanel();
+      this.gbxShowYAxis = new System.Windows.Forms.GroupBox();
+      this.gbxYAxisClipChangeable = new System.Windows.Forms.GroupBox();
+      this.flpShowYAxis = new System.Windows.Forms.FlowLayoutPanel();
+      this.flpYAxisClipChangeable = new System.Windows.Forms.FlowLayoutPanel();
       this.tpTitle.SuspendLayout();
       this.tabPage2.SuspendLayout();
@@ -56,4 +59,6 @@
       this.tpXAxis.SuspendLayout();
       this.tpYAxes.SuspendLayout();
+      this.gbxShowYAxis.SuspendLayout();
+      this.gbxYAxisClipChangeable.SuspendLayout();
       this.SuspendLayout();
       // 
@@ -292,5 +297,6 @@
       // tpYAxes
       // 
-      this.tpYAxes.Controls.Add(this.dataRowsFlowLayout);
+      this.tpYAxes.Controls.Add(this.gbxYAxisClipChangeable);
+      this.tpYAxes.Controls.Add(this.gbxShowYAxis);
       this.tpYAxes.Location = new System.Drawing.Point(4, 22);
       this.tpYAxes.Name = "tpYAxes";
@@ -301,12 +307,45 @@
       this.tpYAxes.UseVisualStyleBackColor = true;
       // 
-      // dataRowsFlowLayout
-      // 
-      this.dataRowsFlowLayout.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.dataRowsFlowLayout.FlowDirection = System.Windows.Forms.FlowDirection.TopDown;
-      this.dataRowsFlowLayout.Location = new System.Drawing.Point(3, 3);
-      this.dataRowsFlowLayout.Name = "dataRowsFlowLayout";
-      this.dataRowsFlowLayout.Size = new System.Drawing.Size(278, 193);
-      this.dataRowsFlowLayout.TabIndex = 0;
+      // gbxShowYAxis
+      // 
+      this.gbxShowYAxis.AutoSize = true;
+      this.gbxShowYAxis.Controls.Add(this.flpShowYAxis);
+      this.gbxShowYAxis.Location = new System.Drawing.Point(0, 0);
+      this.gbxShowYAxis.Name = "gbxShowYAxis";
+      this.gbxShowYAxis.Size = new System.Drawing.Size(281, 76);
+      this.gbxShowYAxis.TabIndex = 0;
+      this.gbxShowYAxis.TabStop = false;
+      this.gbxShowYAxis.Text = "Show Y-Axis";
+      // 
+      // gbxYAxisClipChangeable
+      // 
+      this.gbxYAxisClipChangeable.AutoSize = true;
+      this.gbxYAxisClipChangeable.Controls.Add(this.flpYAxisClipChangeable);
+      this.gbxYAxisClipChangeable.Location = new System.Drawing.Point(0, 82);
+      this.gbxYAxisClipChangeable.Name = "gbxYAxisClipChangeable";
+      this.gbxYAxisClipChangeable.Size = new System.Drawing.Size(281, 76);
+      this.gbxYAxisClipChangeable.TabIndex = 1;
+      this.gbxYAxisClipChangeable.TabStop = false;
+      this.gbxYAxisClipChangeable.Text = "Y-Axis-Clip changeable";
+      // 
+      // flpShowYAxis
+      // 
+      this.flpShowYAxis.AutoSize = true;
+      this.flpShowYAxis.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.flpShowYAxis.FlowDirection = System.Windows.Forms.FlowDirection.TopDown;
+      this.flpShowYAxis.Location = new System.Drawing.Point(3, 16);
+      this.flpShowYAxis.Name = "flpShowYAxis";
+      this.flpShowYAxis.Size = new System.Drawing.Size(275, 57);
+      this.flpShowYAxis.TabIndex = 0;
+      // 
+      // flpYAxisClipChangeable
+      // 
+      this.flpYAxisClipChangeable.AutoSize = true;
+      this.flpYAxisClipChangeable.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.flpYAxisClipChangeable.FlowDirection = System.Windows.Forms.FlowDirection.TopDown;
+      this.flpYAxisClipChangeable.Location = new System.Drawing.Point(3, 16);
+      this.flpYAxisClipChangeable.Name = "flpYAxisClipChangeable";
+      this.flpYAxisClipChangeable.Size = new System.Drawing.Size(275, 57);
+      this.flpYAxisClipChangeable.TabIndex = 0;
       // 
       // OptionsDialog
@@ -333,4 +372,9 @@
       this.tpXAxis.ResumeLayout(false);
       this.tpYAxes.ResumeLayout(false);
+      this.tpYAxes.PerformLayout();
+      this.gbxShowYAxis.ResumeLayout(false);
+      this.gbxShowYAxis.PerformLayout();
+      this.gbxYAxisClipChangeable.ResumeLayout(false);
+      this.gbxYAxisClipChangeable.PerformLayout();
       this.ResumeLayout(false);
 
@@ -363,5 +407,8 @@
     private System.Windows.Forms.Button btnChangeXAxisFont;
     private System.Windows.Forms.TabPage tpYAxes;
-    private System.Windows.Forms.FlowLayoutPanel dataRowsFlowLayout;
+    private System.Windows.Forms.GroupBox gbxShowYAxis;
+    private System.Windows.Forms.GroupBox gbxYAxisClipChangeable;
+    private System.Windows.Forms.FlowLayoutPanel flpYAxisClipChangeable;
+    private System.Windows.Forms.FlowLayoutPanel flpShowYAxis;
   }
 }
Index: /trunk/sources/HeuristicLab.Visualization/Options/OptionsDialog.cs
===================================================================
--- /trunk/sources/HeuristicLab.Visualization/Options/OptionsDialog.cs	(revision 1458)
+++ /trunk/sources/HeuristicLab.Visualization/Options/OptionsDialog.cs	(revision 1459)
@@ -12,4 +12,5 @@
     private LineParams[] oldLineParams;
     private Dictionary<CheckBox,bool> ShowYAxisBoxes;
+    private Dictionary<CheckBox,bool> yAxisClipChangeableBoxes;
 
     internal class LineParams {
@@ -95,25 +96,24 @@
     private void InitTabPageYAxes() {
       ShowYAxisBoxes = new Dictionary<CheckBox, bool>();
+      yAxisClipChangeableBoxes = new Dictionary<CheckBox, bool>();
+
       for (int i = 0; i < model.YAxes.Count; i++) {
         YAxisDescriptor yAxisDescriptor = model.YAxes[i];
 
-        CheckBox chkbox = new CheckBox();
-        chkbox.Text = yAxisDescriptor.Label;
-        chkbox.Checked = yAxisDescriptor.ShowYAxis;
-        ShowYAxisBoxes[chkbox] = yAxisDescriptor.ShowYAxis;
-        chkbox.CheckedChanged += delegate { yAxisDescriptor.ShowYAxis = chkbox.Checked; };
+        CheckBox cbxShowYAxis = new CheckBox();
+        cbxShowYAxis.Text = yAxisDescriptor.Label;
+        cbxShowYAxis.Checked = yAxisDescriptor.ShowYAxis;
+        ShowYAxisBoxes[cbxShowYAxis] = yAxisDescriptor.ShowYAxis;
+        cbxShowYAxis.CheckedChanged += delegate { yAxisDescriptor.ShowYAxis = cbxShowYAxis.Checked; };
         
-        dataRowsFlowLayout.Controls.Add(chkbox);
-      }
-
-      for (int i = 0; i < model.YAxes.Count; i++) {
-        YAxisDescriptor yAxisDescriptor = model.YAxes[i];
-
-        CheckBox chkbox = new CheckBox();
-        chkbox.Text = yAxisDescriptor.Label;
-        chkbox.Checked = yAxisDescriptor.ClipChangeable;
-        chkbox.CheckedChanged += delegate { yAxisDescriptor.ClipChangeable = chkbox.Checked; };
-
-        dataRowsFlowLayout.Controls.Add(chkbox);
+        flpShowYAxis.Controls.Add(cbxShowYAxis);
+
+        CheckBox cbxClipChangeable = new CheckBox();
+        cbxClipChangeable.Text = yAxisDescriptor.Label;
+        cbxClipChangeable.Checked = yAxisDescriptor.ClipChangeable;
+        yAxisClipChangeableBoxes[cbxClipChangeable] = yAxisDescriptor.ClipChangeable; 
+        cbxClipChangeable.CheckedChanged += delegate { yAxisDescriptor.ClipChangeable = cbxClipChangeable.Checked; };
+
+        flpYAxisClipChangeable.Controls.Add(cbxClipChangeable);
       }
     }
@@ -137,7 +137,4 @@
     }
     
-
-   
-
     private void cbLegendPosition_SelectedIndexChanged(object sender, EventArgs e) {
       viewSettings.LegendPosition = (LegendPosition)cbLegendPosition.SelectedItem;
@@ -195,4 +192,9 @@
         box.Key.Checked = box.Value;
       }
+
+      foreach (KeyValuePair<CheckBox, bool> box in yAxisClipChangeableBoxes) {
+        box.Key.Checked = box.Value;
+      }
+
       viewSettings.LegendColor = oldViewSettings.LegendColor;
       viewSettings.LegendPosition = oldViewSettings.LegendPosition;
@@ -216,8 +218,4 @@
         ((IDataRow)LineSelectCB.SelectedValue).Thickness = (int)LineThicknessCB.SelectedItem;
     }
-
-
-
-
   }
 }