Index: /trunk/sources/HeuristicLab.Hive.Client.Communication/Service References/ServerService/Arrays.xsd
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Communication/Service References/ServerService/Arrays.xsd	(revision 1481)
+++ /trunk/sources/HeuristicLab.Hive.Client.Communication/Service References/ServerService/Arrays.xsd	(revision 1481)
@@ -0,0 +1,33 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<xs:schema xmlns:tns="http://schemas.microsoft.com/2003/10/Serialization/Arrays" elementFormDefault="qualified" targetNamespace="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns:xs="http://www.w3.org/2001/XMLSchema">
+  <xs:complexType name="ArrayOfKeyValueOflongdouble">
+    <xs:annotation>
+      <xs:appinfo>
+        <IsDictionary xmlns="http://schemas.microsoft.com/2003/10/Serialization/">true</IsDictionary>
+      </xs:appinfo>
+    </xs:annotation>
+    <xs:sequence>
+      <xs:element minOccurs="0" maxOccurs="unbounded" name="KeyValueOflongdouble">
+        <xs:complexType>
+          <xs:sequence>
+            <xs:element name="Key" type="xs:long" />
+            <xs:element name="Value" type="xs:double" />
+          </xs:sequence>
+        </xs:complexType>
+      </xs:element>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="ArrayOfKeyValueOflongdouble" nillable="true" type="tns:ArrayOfKeyValueOflongdouble" />
+  <xs:complexType name="ArrayOfstring">
+    <xs:sequence>
+      <xs:element minOccurs="0" maxOccurs="unbounded" name="string" nillable="true" type="xs:string" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="ArrayOfstring" nillable="true" type="tns:ArrayOfstring" />
+  <xs:complexType name="ArrayOfbase64Binary">
+    <xs:sequence>
+      <xs:element minOccurs="0" maxOccurs="unbounded" name="base64Binary" nillable="true" type="xs:base64Binary" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="ArrayOfbase64Binary" nillable="true" type="tns:ArrayOfbase64Binary" />
+</xs:schema>
Index: /trunk/sources/HeuristicLab.Hive.Client.Core/Core.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Core/Core.cs	(revision 1480)
+++ /trunk/sources/HeuristicLab.Hive.Client.Core/Core.cs	(revision 1481)
@@ -103,4 +103,5 @@
         DetermineAction(container);
       }
+      Console.WriteLine("ended!");
     }    
 
@@ -137,4 +138,8 @@
         //Hard shutdown of the client
         case MessageContainer.MessageType.Shutdown:
+          lock (engines) {
+            foreach (KeyValuePair<Guid, AppDomain> kvp in appDomains)
+              AppDomain.Unload(kvp.Value);
+          }
           abortRequested = true;
           beat.StopHeartBeat();
Index: /trunk/sources/HeuristicLab.Hive.Client.Core/CoreApplication.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Core/CoreApplication.cs	(revision 1480)
+++ /trunk/sources/HeuristicLab.Hive.Client.Core/CoreApplication.cs	(revision 1481)
@@ -31,5 +31,5 @@
 
 namespace HeuristicLab.Hive.Client.Core {
-  [ClassInfo(Name = "Hive Client", Description = "Hive Client Core baseclass", AutoRestart = true)]
+  [ClassInfo(Name = "Hive Client", Description = "Hive Client Core baseclass", AutoRestart = false)]
   public class CoreApplication: ApplicationBase {
     public override void Run() {
Index: /trunk/sources/HeuristicLab.Hive.Client.Core/PluginCache.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Core/PluginCache.cs	(revision 1480)
+++ /trunk/sources/HeuristicLab.Hive.Client.Core/PluginCache.cs	(revision 1481)
@@ -37,7 +37,8 @@
 
       List<CachedPlugin> receivedPlugins = WcfService.Instance.RequestPlugins(missingPlugins);
-      if (receivedPlugins != null)
+      if (receivedPlugins != null) {
         neededPlugins.AddRange(receivedPlugins);
-      else
+        pluginCache.AddRange(receivedPlugins);
+      } else
         Logging.Instance.Error(this.ToString(), "Fetching of the plugins failed!");
 